// Bulb.cpp: implementation of the CBulb class.
//
//////////////////////////////////////////////////////////////////////
#include <iostream>
#include "Bulb.h"

using namespace std;

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CBulb::CBulb(int p) : state(0), power(p)
{

}

CBulb::~CBulb()
{

}

void CBulb::on()
{
	state = 1;
}

void CBulb::off()
{
	state = 0;
}

void CBulb::identify()
{
	if(state == 0)
	{
		cout << "Bulb is off" << endl;
	}
	else
	{
		cout << "Bulb is on consuming " << power << "Watts" << endl;
	}
}


int CBulb::get_power()
{
	return power;
}
