// Lamp.cpp: implementation of the CLamp class.
//
//////////////////////////////////////////////////////////////////////
#include <iostream>
#include "Lamp.h"
using namespace std;

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CLamp::CLamp(int p) : b(p) //initialise bulb power, switch will use default construtcor 
{

}

CLamp::~CLamp()
{

}

//////////////////////////////////////////////////////////////////////
// Lamp On
//////////////////////////////////////////////////////////////////////
void CLamp::on() 
{
	sw.close();
	b.on();
}

//////////////////////////////////////////////////////////////////////
// Lamp off
//////////////////////////////////////////////////////////////////////
void CLamp::off()
{
	sw.open();
	b.off();
}

//////////////////////////////////////////////////////////////////////
// Identify lamp condition
//////////////////////////////////////////////////////////////////////
void CLamp::identify() 
{
	if (sw.get_state() == 1)
	{
		cout << "lamp is on" << endl;
	}
	else
	{
		cout << "lamp is off" << endl;
	}
}

//////////////////////////////////////////////////////////////////////
// return lamp power usage
//////////////////////////////////////////////////////////////////////
int CLamp::getpower()
{
	if(sw.get_state() == 1)
	{
		return b.get_power();
	}
	else
	{
		return 0;
	}
}
